# TdApi.Date (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Date

Package it.tdlight.jni

# Class TdApi.Date

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Date

Enclosing class:
  TdApi

    public static class TdApi.Date
    extends TdApi.Object

Represents a date according to the Gregorian calendar.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `day` | Day of the month; 1-31.
`int` | `month` | Month; 1-12.
`int` | `year` | Year; 1-9999.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Date()` | Represents a date according to the Gregorian calendar.
`Date​(int day, int month, int year)` | Represents a date according to the Gregorian calendar.
`Date​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### day

public int day
Day of the month; 1-31.

### month

public int month
Month; 1-12.

### year

public int year
Year; 1-9999.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Date

public Date()
Represents a date according to the Gregorian calendar.

### Date

public Date​(int day, int month, int year)
Represents a date according to the Gregorian calendar.

Parameters:
  `day` - int Day of the month; 1-31.
  `month` - int Month; 1-12.
  `year` - int Year; 1-9999.

### Date

public Date​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`